Foxit PDF SDK

Instance Methods | List of all members
FSPagingSealSignature Class Reference
Inheritance diagram for FSPagingSealSignature:

## Instance Methods
(BOOL) | - generateAppearance
| Generate the appearance of paging seal signature. More...
(void) | - setAPStateBitmap:bitmap:
| Set a bitmap for the appearance of signature state. More...
(void) | - setPagingSealConfig:
| Set the config of paging seal signature. More...
Instance Methods inherited from FSSignature
(BOOL) | - clearSignedData
| Clear the data and appearance if current signature is singed and verified valid. More...
(void) | - enableEmbedFont:
| Enable or disable embed font. More...
(void) | - enableIncrementalSaveForFirstSigning:
| Enable or disable incremental save for first signing. User should call this function before calling function FSSignature::startSignWithStreamCallback:cert_password:digest_algorithm:stream_callback:client_data:pause:. Default: NO. More...
(FSInt32Array *) | - getByteRangeArray
| Get the byte ranges data, including 4 elements. More...
(NSString *) | - getCert:
| Get a certificate from current signature's certificate chain by index. More...
(int) | - getCertCount
| Get the count of certificates in current signature's certificate chain. More...
(NSString *) | - getCertificateInfo:
| Get certificate information. More...
(FSPDFDoc *) | - getDocument
| Get the PDF document, which current signature belongs to. More...
(FSSignatureFieldMDPAction) | - getFieldMDPAction
| Get FieldMDP("MDP" means modification detection and prevention) action type. More...
(NSArray< NSString * > *) | - getFieldMDPActionFields
| Get the field name array which is used for FieldMDP action. More...
(NSString *) | - getKeyLabel:
| Get the string for specified key label. More...
(NSString *) | - getKeyValue:
| Get the string value for specified key name. More...
(FSSignaturePAdESLevel) | - getPAdESLevel
| Get PAdES level. More...
(FSSignatureArray *) | - getPagingSealGroupElements
| Get the group elements of current paging seal signature. More...
(FSPagingSealSignature *) | - getPagingSealSignature
| Get the paging seal signature. More...
(FSPDFDictionary *) | - getSignatureDict
| Get signature dictionary. More...
(FSSignatureSignatureType) | - getSignatureType
| Get signature type. More...
(FSPDFDoc *) | - getSignedVersionDocument:
| Get the PDF document in the signed version in which current signature was signed. More...
(unsigned int) | - getState
| Get current state. More...
(id) | - initWithDocument:sig_field_dict:
| Constructor, from signature field dictionary. More...
(id) | - initWithField:
| Constructor, with parent class object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(BOOL) | - isSigned
| Check whether current signature is signed or not. More...
(BOOL) | - isTimeStamp
| Check if current signature is a time stamp signature. More...
(void) | - setAppearanceContent:
| Set customized appearance content (as low level drawing operation commands) for signed signature appearance. More...
(void) | - setCertChain:
| Set a certificate chain. More...
(void) | - setCustomObject:pdf_object:
| Set custom PDF object for signature dictionary. More...
(void) | - setDefaultContentsLength:
| Set the default length of signature contents which represents signature value (known as signed data). More...
(void) | - setFieldMDPActionFields:field_array:
| Set FieldMDP("MDP" means modification detection and prevention) action names array. More...
(void) | - setImage:frame_index:
| Set an image for the signature appearance, with a specified frame index. More...
(void) | - setImageWithFilePath:frame_index:
| Set an image for the signature appearance, with a specified frame index. More...
(void) | - setKeyLabel:label_value:
| Set the string for specified key label. More...
(void) | - setKeyValue:value:
| Set the string value for specified key name. More...
(FSProgressive *) | - startSign:cert_password:digest_algorithm:save_path:client_data:pause:
| Start signing current signature if current signature is unsigned. More...
(FSProgressive *) | - startSignWithCertFileStreamCallback:cert_password:digest_algorithm:stream_callback:client_data:pause:
| Start signing current signature if current signature is unsigned. More...
(FSProgressive *) | - startSignWithStreamCallback:cert_password:digest_algorithm:stream_callback:client_data:pause:
| Start signing current signature if current signature is unsigned. More...
(FSProgressive *) | - startVerify:pause:
| Start verifying the intergrity of current signature if current signature is signed. More...
Instance Methods inherited from FSField
(FSControl *) | - getControl:
| Get a form control by index. More...
(int) | - getControlCount
| Get count of form controls. More...
(int) | - getControlCountWithPDFPage:
| Get count of form controls in a specified PDF page. More...
(FSControl *) | - getControlWithPDFPage:index:
| Get a form control by index, in a specified PDF page. More...
(FSPDFObject *) | - getDefaultValueObj
| Get the PDF object of field's default value. More...
(FSPDFDictionary *) | - getDict
| Get the PDF dictionary of current object. More...
(FSPDFObject *) | - getInheritedAttribute:
| Get the PDF object for specified attribute which may be inherited from the ancestor node in the field tree. More...
(NSString *) | - getName
| Get field name. More...
(FSFieldType) | - getType
| Get field type. More...
(FSPDFObject *) | - getValueObj
| Get the PDF object of field's value. More...
(id) | - initWithDocument:field_dict:
| Constructor, from field dictionary. More...
(BOOL) | - reset
| Reset data in current field to its default value. (Not support signature field) More...

## Additional Inherited Members
Properties inherited from FSSignature
unsigned int | appearanceFlags
| Get or Set signature appearance flags. More...
FSBitmap * | bitmap
| Get or Set a bitmap which is used for the signature appearance.
FSSignatureDocPermission | docPermission
| Get or Set document permission for current signature. More...
NSString * | filter
| Get or Set filter. More...
FSDateTime * | signTime
| Get or Set time of signing.
NSString * | subFilter
| Get or Set sub filter. More...
Properties inherited from FSField
FSAlignment | alignment
| Get or Set the alignment value. More...
NSString * | alternateName
| Get or Set alternate name. More...
FSDefaultAppearance * | defaultAppearance
| Get or Set the default appearance data.
NSString * | defaultValue
| Get or Set default value. More...
unsigned int | flags
| Get or Set field flags. More...
NSString * | mappingName
| Get or Set mapping name. More...
int | maxLength
| Get or Set maximum length of the field's text, in characters. More...
FSChoiceOptionArray * | options
| Get or Set options of list box or combo box. More...
int | topVisibleIndex
| Get or Set top index of option for scrollable list boxes. More...
NSString * | value
| Get or Set value. More...

## Detailed Description

This class represents a paging seal signature object for signing the signatures. It is a type of signature field, so class FSPagingSealSignature is derived from class FSSignature. A new paging seal signature object would be returned by function FSPDFDoc::addPagingSealSignature:width:height:to_check_permission:, instead of FSPDFPage::addSignature:.
A paging seal signature contains a few signatures or a few paging seal annotation. To set the configuration of paging seal signature, please use the function FSPagingSealSignature::setPagingSealConfig:.

## Method Documentation

## ◆ generateAppearance()

- (BOOL) generateAppearance |  |  |

Generate the appearance of paging seal signature.

This function should be called before signing and the paging seal config should be set already. If this function is not called, the page will not display the paging seal signatures.

Returns
  YES means success, while NO means failure.

Reimplemented from FSSignature.

## ◆ setAPStateBitmap:bitmap:()

- (void) setAPStateBitmap: |  | (FSPagingSealSignaturePagingSealAPState) | ap_state
bitmap: |  | (FSBitmap*) | bitmap

Set a bitmap for the appearance of signature state.

If user wants the setting by this function has effect on paging seal signatures' appearance, please call function PagingSealSignature::GenerateAppearence after this function.

Parameters

  [in] | ap_state | The state of signature.
  [in] | bitmap | A bitmap to be set to the appearance.

Returns
  None.

## ◆ setPagingSealConfig:()

- (void) setPagingSealConfig: |  | (FSPagingSealConfig*) | paging_seal_config |

Set the config of paging seal signature.

Parameters

  [in] | paging_seal_config | A paging seal configuration to be set.

Returns
  None.